Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158759 - missing expression in return statement
Summary: missing expression in return statement
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-05-25 13:43 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-18 20:21:30 UTC


Attachments (Terms of Use)

Description David Binderman 2005-05-25 13:43:17 UTC
Description of problem:

I just tried to compile package evolution-data-server-1.2.2-3 from Redhat
Fedora Core development tree with the most excellent Intel C compiler.

The compiler said

1.

e-book-backend-ldap.c(597): warning #117: non-void function
"query_ldap_root_dse" should return a value

The source code is

        if (!ldap)
                return;

Suggest add expression to return statement.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Malcolm 2005-08-18 03:47:15 UTC
Thanks for this report; I'll look into fixing this upstream

Comment 2 Dave Malcolm 2005-08-18 20:21:30 UTC
Bug was introduced by this commit:
http://cvs.gnome.org/viewcvs/evolution-data-server/addressbook/backends/ldap/e-book-backend-ldap.c?r1=1.36&r2=1.37
(2005-01-10  Hans Petter Jansson  <hpj@novell.com>)

Fixed in upstream CVS (returns LDAP_OTHER); this is fixed in the latest rawhide
package.



Note You need to log in before you can comment on or make changes to this bug.